Bulk update pipeline stages
curl --request POST \
--url https://api.octolane.com/v1/pipelines/{pipeline_id}/stages/bulk/update \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
[
{
"stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"color": "<string>",
"stage_order": 2,
"is_default": true,
"probability": 50
}
]
'import requests
url = "https://api.octolane.com/v1/pipelines/{pipeline_id}/stages/bulk/update"
payload = [
{
"stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"color": "<string>",
"stage_order": 2,
"is_default": True,
"probability": 50
}
]
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
stage_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
label: '<string>',
color: '<string>',
stage_order: 2,
is_default: true,
probability: 50
}
])
};
fetch('https://api.octolane.com/v1/pipelines/{pipeline_id}/stages/bulk/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": "<unknown>"
}{
"success": false,
"message": "Validation failed",
"statusCode": 400
}{
"success": false,
"message": "Validation failed",
"statusCode": 400
}{
"success": false,
"message": "Validation failed",
"statusCode": 400
}Pipelines
Bulk update pipeline stages
Updates stages for a pipeline in bulk.
POST
/
v1
/
pipelines
/
{pipeline_id}
/
stages
/
bulk
/
update
Bulk update pipeline stages
Authorizations
Public API key for the Octolane organization.
Path Parameters
Pipeline ID.
Body
application/json
Array of pipeline stage patches. Maximum 100 items.
Required array length:
1 - 100 elementsWas this page helpful?
⌘I